export class BoolArray {
    constructor(size: number);
    constructor(buffer: ArrayBuffer, byteOffset?: number | undefined, length?: number | undefined);
    constructor(arr: Iterable<boolean>);
    get BYTES_PER_ELEMENT(): number;
    get byteOffset(): number;
    get byteLength(): number;
    /** @type {ArrayBuffer} */
    get buffer(): ArrayBuffer;
    /** @type {number} */
    get length(): number;
    /**
     * @param {number} idx
     * @returns {boolean}
     */
    get(idx: number): boolean;
    /**
     * @param {number} idx
     * @param {boolean} value
     * @returns {void}
     */
    set(idx: number, value: boolean): void;
    /**
     * @param {boolean} value
     * @returns {void}
     */
    fill(value: boolean): void;
    /**
     * @returns {IterableIterator<boolean>}
     */
    [Symbol.iterator](): IterableIterator<boolean>;
    #private;
}
export class ByteStringArray {
    constructor(chars: number, size: number);
    constructor(chars: number, buffer: ArrayBuffer, byteOffset?: number | undefined, length?: number | undefined);
    constructor(chars: number, arr: Iterable<string>);
    /** @type {Uint8Array} */
    _data: Uint8Array;
    chars: number;
    get BYTES_PER_ELEMENT(): number;
    get byteOffset(): number;
    get byteLength(): number;
    /** @type {ArrayBuffer} */
    get buffer(): ArrayBuffer;
    /** @type {number} */
    get length(): number;
    /**
     * @param {number} idx
     * @returns {string}
     */
    get(idx: number): string;
    /**
     * @private
     *
     * @param {string} s
     * @returns {Uint8Array}
     */
    private _encode;
    /**
     * @param {number} idx
     * @param {string} value
     * @returns {void}
     */
    set(idx: number, value: string): void;
    /**
     * @param {string} value
     * @returns {void}
     */
    fill(value: string): void;
    /** @returns {IterableIterator<string>} */
    [Symbol.iterator](): IterableIterator<string>;
}
export class UnicodeStringArray {
    constructor(chars: number, size: number);
    constructor(chars: number, buffer: ArrayBuffer, byteOffset?: number | undefined, length?: number | undefined);
    constructor(chars: number, arr: Iterable<string>);
    /** @type {Int32Array} */
    _data: Int32Array;
    chars: number;
    get BYTES_PER_ELEMENT(): number;
    get byteLength(): number;
    get byteOffset(): number;
    /** @type {ArrayBuffer} */
    get buffer(): ArrayBuffer;
    /** @type {number} */
    get length(): number;
    /**
     * @private
     *
     * @param {string} s
     * @returns {Int32Array}
     */
    private _encode;
    /**
     * @param {number} idx
     * @returns {string}
     */
    get(idx: number): string;
    /**
     * @param {number} idx
     * @param {string} value
     * @returns {void}
     */
    set(idx: number, value: string): void;
    /**
     * @param {string} value
     * @returns {void}
     */
    fill(value: string): void;
    /** @returns {IterableIterator<string>} */
    [Symbol.iterator](): IterableIterator<string>;
}
